<root>
  <file type="sql" path="..\..\..\SQL_Express\007_DefaultSchemas_dbo.sql"  />
  <file type="sql" path="..\..\Upgrade\0090_ROUTINES_UsedByUpgrade.sql"  />

  <!--        7.0.1 SupportAssistant     -->
  <file type="sql" path="..\from_0700\0550_701-SupportAssistant_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SaDeviceStatus" />
    </condition>
    <transactionPart path="..\from_0700\0550_701-SupportAssistant_20_PK_Express.sql"/>
  </file>

  <!--    from 701 and 702   -->
  <file type="sql" path="..\from_0701\0560_NText.sql" />

  <!--        7.1-SDK     -->
  <file type="sql" path="..\from_0701\0570_71-SDK_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SdkElement" />
    </condition>
    <transactionPart path="..\from_0701\0570_71-SDK_20_PK_Express.sql"/>
    <transactionPart path="..\from_0701\0570_71-SDK_30_IX_FK.sql"/>
    <transactionPart path="..\from_0701\0570_71-SDK_50_PluginVersion.sql"/>
  </file>

  <!--       to 7.1.1      -->
  <file type="sql" path="..\from_0710-2012R2_andUp\0580_10_PrinterTransform.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="PrinterTransform" />
    </condition>
    <transactionPart path="..\from_0710-2012R2_andUp\0580_20_PrinterTransform_PK_Express.sql"/>
  </file>

  <!--       to 7.1.2 START   - bug 9790  -->
  <file type="sql" path="..\from_0710-2012R2_andUp\0600_712_2012-R2-FP2_SdkElement_10.sql" isContainer="true">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true" >
      <param name="@TableName"  value="SdkElementAttributeData" />
      <param name="@ColumnName" value="NumericValue" />
    </condition>
    <transactionPart path="..\from_0710-2012R2_andUp\0600_712_2012-R2-FP2_SdkElement_20_TextValue_Express.sql"/>
  </file>

  <!--       to 8.0-2013_R1     -->
  <file type="sql" path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_06_Alter.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="ME2Category" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_10_Tables.sql"              />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_20_PK_Express.sql"          />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_30_IX_FK.sql"               />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_60_Upgrade_InitialData_Express.sql" />
  </file>
  <file type="sql" path="..\from_0712_2012-R2-FP2\0620_80_NewColumns.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"   value="Device"            />
      <param name="@ColumnName"  value="IsRespondingToArp" />
    </condition>
  </file>
  <file type="sql" path="..\from_0712_2012-R2-FP2\0630_80_ManagedElement_dropParentGuid.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true">
      <param name="@TableName"   value="ManagedElement"        />
      <param name="@ColumnName"  value="ParentGuid"            />
    </condition>
  </file>
  <file type="sql" path="..\from_0712_2012-R2-FP2\0640_80-Automation_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="ScriptTargetOSLink" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0640_80-Automation_20_PK_Express.sql"              />
  </file>
  <file type="sql" path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="WindowsEventNT6Monitor" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_20_Express.sql"    />
    <transactionPart path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_30_FK.sql"         />
  </file>

  <!--       to 8.1    -->
  <file type="sql" path="..\from_801_2013-R1\0670_81-SDK.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElementType" />
      <param name="@ColumnName" value="SchemaName" />
    </condition>
  </file>
  <file type="sql"   path="..\from_801_2013-R1\0680_81-Misc.sql"    isContainer="false" />

  <!--       to 8.3    -->
  <file type="sql" path="..\from_820_2013-R1-FP2\0690_83_Drop_VmInfo_MachineGuid_UC.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="VmInfo" />
      <param name="@ConstraintName" value="VmInfo_MachineGuid_UC" />
    </condition>
  </file>
  <file type="sql" path="..\from_820_2013-R1-FP2\7000_83-WSMAN.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="DiscoveryDeviceWmiData" />
      <param name="@ColumnName" value="WSManEnabled" />
    </condition>
  </file>
  <file type="sql" path="..\from_820_2013-R1-FP2\7010_83-Misc.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="WindowsEventMonitoringBookmark" />
      <param name="@ColumnName"     value="LastWindowsEventTimeRecordedInTicks" />
    </condition>
  </file>
  <file type="sql" path="..\from_820_2013-R1-FP2\7020_83-WSUS_ExpressOnly.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"      value="MwusDevice" />
    </condition>
  </file>

  <!--       to 9.0     -->
  <file type="sql"  path="..\from_830_2013-R1-FP3\7028_83_HotFix5-Express.sql" isContainer="false" />
  <file type="sql" path="..\from_830_2013-R1-FP3\7030_90-Alerting_10-Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false" >
      <param name="@TableName"  value="AlertAttributeType" />
    </condition>
    <transactionPart path="..\from_830_2013-R1-FP3\7030_90-Alerting_20-Express.sql"    />
    <transactionPart path="..\from_830_2013-R1-FP3\7030_90-Alerting_30-FK.sql"         />
  </file>
  <file type="sql" path="..\from_830_2013-R1-FP3\7050_90-AV_10-Express.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Cert" />
    </condition>
  </file>
  <file type="sql" path="..\from_830_2013-R1-FP3\7060_90-DeviceClassification.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"      value="DeviceExclusionRule" />
      <param name="@ColumnName"     value="ArpMacAddress" />
    </condition>
  </file>
  <file type="sql" path="..\from_830_2013-R1-FP3\7090_90-Automation_10-Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false" >
      <param name="@TableName"  value="AutomatedTaskPackage" />
    </condition>
    <transactionPart path="..\from_830_2013-R1-FP3\7090_90-Automation_20-Express.sql"    />
    <transactionPart path="..\from_830_2013-R1-FP3\7090_90-Automation_30-FK.sql"    />
  </file>
  <file type="sql"  path="..\from_830_2013-R1-FP3\7100_90-PatchManagement_20-Express.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"      value="PatchManagedDevice" />
      <param name="@ColumnName"     value="WaitingForPatchDownload" />
    </condition>
  </file>

  <!--  to 9.0.1 Express version-->
  <file type="sql"  path="..\from_900_2014-R1\7110_901_MonitorAttribute-Name_Express.sql"  isContainer="false">
    <condition path="..\Condition\01170_ColumnCharLengthEquals.sql" applyIf="false">
      <param name="@TableName"           value="MonitorAttribute" />
      <param name="@ColumnName"          value="Name" />
      <param name="@ColumnLengthInChar"  value="200" />
    </condition>
  </file>
  <file type="sql"  path="..\from_900_2014-R1\7130_901_Mwus_Express.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true">
      <param name="@TableName"      value="MwusDeployment" />
      <param name="@ColumnName"     value="DeploymentID" />
    </condition>
  </file>

  <!--       to 9.1.0     -->
  <file type="sql" path="..\from_901\7140_910-Alerting_10-Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="WindowsEventAlertRuleOccurrences" />
    </condition>
    <transactionPart path="..\from_901\7140_910-Alerting_20-Express.sql"    />
  </file>
  <file type="sql"  path="..\from_901\7150_910-RemoteControl.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="Device" />
      <param name="@ColumnName"     value="SshName" />
    </condition>
  </file>

  <!-- to 9.2 -->
  <file type="sql" path="..\from_910\7160_920-RemoteControl_Express.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false" >
      <param name="@TableName" value="RemoteControl_PremiumDevice" />
    </condition>
  </file>
  <file type="sql"  path="..\from_910\7170_920-Misc.sql"  isContainer="false" />
  <file type="sql"  path="..\from_910\7170_Mwus_NewIndexes_Express.sql"  isContainer="false">
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false">
      <param name="@TableName" value="MwusRevision" />
      <param name="@IndexName" value="MwusRevision_IsLatestRevisionNumber_i_RevisionID_UpdateGuid" />
    </condition>
  </file>

  <!-- to 9.2-SP1 -->
  <file type="sql"  path="..\from_910\7176_920-SP1_BufferItem_ReceedIdentity_Express.sql" isContainer="false" />
  <file type="sql"  path="..\from_910\7180_Device_Excluded.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="Device" />
      <param name="@ColumnName" value="Excluded" />
    </condition>
  </file>
  <file type="sql"  path="..\from_910\7190_PatchAgentConfiguration_ForceReboot_Express.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="PatchAgentConfigurations" />
      <param name="@ColumnName" value="ForceReboot" />
    </condition>
  </file>
  <file type="sql"  path="..\from_910\7200_92-SP1_WSUS_142226_ExpressOnly.sql"  isContainer="false" />

  <!-- to 10.0  -->
  <file type="sql" path="..\from_92_SP1\7160_100-SimplConf_10-AutomatedTaskDeviceLink_ADD-ScheduleID.sql" isContainer="true">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="AutomatedTaskDeviceLink" />
      <param name="@ColumnName" value="ScheduleID" />
    </condition>
    <transactionPart   isParameterizedActionQuery="true"
                       path          ="..\from_92_SP1\7160_100-SimplConf_20-AutomatedTaskDeviceLink_UPDATE_ROW.sql"
                       selectFilePath="..\from_92_SP1\7160_100-SimplConf_30-AutomatedTaskDeviceLink_SELECT.sql"/>
    <transactionPart path="..\from_92_SP1\7160_100-SimplConf_40-AutomatedTask_DROP-ScheduleID.sql"/>
  </file>
  <file type="sql"  path="..\from_92_SP1\7220_100-SimplConf_AutomatedTaskInstanceStatus.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="AutomatedTaskInstanceStatus" />
      <param name="@ColumnName"     value="ScheduleID" />
    </condition>
  </file>
  <file type="sql"  path="..\from_92_SP1\7230_100-SimplConf_DeviceRoleCategory.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="DeviceCoreInfo" />
      <param name="@ColumnName"     value="DeviceRoleCategory" />
    </condition>
  </file>
  <file type="sql"  path="..\from_92_SP1\7250_100-SimplConf_PatchAgentConfigurations_Express.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true" >
      <param name="@TableName"      value="PatchAgentConfigurations" />
      <param name="@ColumnName"     value="ScheduledInstallDay" />
    </condition>
  </file>
  <file type="sql"  path="..\from_92_SP1\7252_100-SimplConf_PatchAgentConfiguration-DROP_Express.sql"  isContainer="false">
    <condition  path="..\Condition\01110_TableExists.sql" applyIf="true">
      <param name="@TableName" value="PatchAgentConfiguration" />
    </condition>
  </file>
  <file type="sql"  path="..\from_92_SP1\7260_PowerManagement_Win10_Express.sql"  isContainer="false" />
  <file type="sql"  path="..\from_92_SP1\7270_PatchNow_delete_Express.sql"        isContainer="false" />

  <!--       to 10.1.0 2016-R1-SP1     -->
  <file type="sql" path="..\from_v_100_2016-GA\7290_WindowsEventMonitorBookmark.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="WindowsEventMonitoringBookmark" />
      <param name="@ColumnName"     value="LastWindowsEventRecordID" />
    </condition>
  </file>

  <!-- Assets migration to concrete tables -->
  <file type="sql" path="..\from_v_100_2016-GA\7400_101-Asset_10-Metadata.sql" isContainer="false" />
  <file type="sql" path="..\from_v_100_2016-GA\7400_101-Asset_20-Tables_20-Express.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="Asset_Software" />
    </condition>
  </file>

  <!-- do only if there is no ManagedElement_ManagedElementTypeGuid_IX index  - new in 10.1-SP1-->
  <file type="sql" path="..\from_v_100_2016-GA\7410_101-Asset_DeleteOldData_20-Express_MEAData.sql" isContainer="false">
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElement"                                      />
      <param name="@IndexName"  value="ManagedElement_ManagedElementTypeGuid_IX"    />
    </condition>
  </file>

  <!-- do only if there is no ManagedElement_ManagedElementTypeGuid_IX index  - new in 10.1-SP1-->
  <file type="sql" path="..\from_v_100_2016-GA\7410_101-Asset_DeleteOldData_24-Express_ME.sql" isContainer="false">
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElement"                                      />
      <param name="@IndexName"  value="ManagedElement_ManagedElementTypeGuid_IX"    />
    </condition>
  </file>
  <file type="sql" path="..\from_v_100_2016-GA\7420_101-Asset_MEAData_NewIndex.sql" isContainer="false">
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false" >
      <param name="@TableName"  value="ManagedElementAttributeData"                                      />
      <param name="@IndexName"  value="ManagedElementAttributeData_ManagedElementAttributeTypeGuid_IX"    />
    </condition>
  </file>
  <file type="sql"  path="..\from_v_100_2016-GA\7430_110-Alerting.sql"  isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SyslogAlertRuleOccurrences" />
    </condition>
    <transactionPart path="..\from_v_100_2016-GA\7430_110-Alerting_Search_20-Express.sql"     />
  </file>

  <!--       to 10.2 2016-R1-SP2   -->
  <file type="sql"  path="..\from_v_101_2016-SP1\7224_102_Drop_AutomatedTaskInstanceStatus_Schedule_FK.sql"   isContainer="false">
    <condition path="..\Condition\01130_FKExists.sql" applyIf="true">
      <param name="@FKName"      value="AutomatedTaskInstanceStatus_Schedule_FK" />
    </condition>
  </file>
  <file type="sql"  path="..\from_v_101_2016-SP1\7440_102_OpenAlert_ChangePK_Express.sql"            isContainer="false" />
  <file type="sql"  path="..\from_v_101_2016-SP1\7450_102_Misc.sql"                                  isContainer="false" />
  <file type="sql"  path="..\from_v_101_2016-SP1\7460_102_Office365_bug_250413_Express.sql"          isContainer="false" />

  <!--       to 10.2.2 2016-R1-SP2-MR2     -->
  <file type="sql"  path="..\from_v_101_2016-SP1-MR1\7470_102-MR2_MwusDevicePatchStatus_10-RowID_Express.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="MwusDevicePatchStatus" />
      <param name="@ColumnName"     value="RowID" />
    </condition>
  </file>

  <!-- Data conversion with a cursor per DeviceGuid , so NO TRANSACTION -->
  <file type="sql"  path="..\from_v_101_2016-SP1-MR1\7470_102-MR2_MwusDevicePatchStatus_20-Data_Express.sql"   isContainer="false"  noTransaction="true" >
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false">
      <param name="@TableName"  value="MwusDevicePatchStatus"                           />
      <param name="@IndexName"  value="MwusDevicePatchStatus_EventID_LastChangeTime"    />
    </condition>
  </file>
  <file type="sql"  path="..\from_v_101_2016-SP1-MR1\7470_102-MR2_MwusDevicePatchStatus_30-Index_Express.sql"   isContainer="false"  >
    <condition path="..\Condition\01180_IndexExists_Express.sql" applyIf="false">
      <param name="@TableName"  value="MwusDevicePatchStatus"                           />
      <param name="@IndexName"  value="MwusDevicePatchStatus_EventID_LastChangeTime"    />
    </condition>
  </file>

  <!--       to 10.2.3 2016-R1-SP2-MR3     -->
  <file type="sql"  path="..\from_v_101_2016-SP1-MR2\7480_102-MR3_PatchAgentConfigurations_ExpressOnly.sql"      isContainer="false" />
  <file type="sql"  path="..\from_v_101_2016-SP1-MR2\7490_102-MR3_Asset_make_IndexNonUnique_ExpressOnly.sql"     isContainer="false" />
  <file type="sql"  path="..\from_v_101_2016-SP1-MR2\7500_102-MR3_MwusFile_FileName_IX_ExpressOnly.sql"          isContainer="false" />

  <!--       to 10.2-MR3-HF2     -->
  <file type="sql" path="..\from_v_102-MR3\510_102-MR3-HF2_MwusDevicePatchStatus_10-RenameAndNew_ExpressOnly.sql"   isContainer="true"  >
    <transactionPart path="..\from_v_102-MR3\510_102-MR3-HF2_MwusDevicePatchStatus_20-Data_ExpressOnly.sql"     />
    <transactionPart path="..\from_v_102-MR3\510_102-MR3-HF2_MwusDevicePatchStatus_30-Index_ExpressOnly.sql"     />
  </file>

  <!--       to 10.3 SP3     -->
  <file type="sql"  path="..\from_v_102_2016-SP2\7500_103_DropPatchTablesExpress.sql"  isContainer="false" />

  <!-- 103-Infrascale-Bugs -->
  <file type="sql"  path="..\from_v_102_2016-SP2\800_103_InfrascaleTable.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="PluginConfiguration" />
      <param name="@ColumnName" value="DateModified" />
    </condition>
  </file>

  <!-- 110-NetworkAssesment -->
  <file type="sql"  path="..\from_v_103_2017-SP3\7600_110_NetworkAssesment_ExpressOnly.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"  value="ManagedElementType" />
      <param name="@ColumnName" value="IsForSite" />
    </condition>
  </file>
  <file type="sql" path="..\from_v_110_2017_Eap\7601_110_Misc.sql" isContainer="false"/>

  <!-- 111-UnifiedAV -->
  <file type="sql"  path="..\from_v_110_2017_GA\7605_111_AV_Express.sql"   isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="true" >
      <param name="@TableName"  value="AVCC_time_zones" />
    </condition>
    <transactionPart path="..\from_v_110_2017_GA\7607_111_Bugs_Express.sql"  />
  </file>

  <!--112-SP2-->
  <file type="sql" path="..\from_v_111_2017_SP1\7610_112_Hotfix_Express.sql" isContainer="false"/>
  <file type="sql"  path="..\from_v_111_2017_SP1\7610_115_Express.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"  value="Security_DomainUserInfo" />
      <param name="@ColumnName" value="LastLogonTimestamp" />
    </condition>
  </file>

  <!-- 113-SP3 -->
  <file type="sql"  path="..\from_v_112_2017_SP2_MR1\7612_113_SP3_Express.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Security_ThirdPartyFirewallInfo" />
    </condition>
  </file>

  <!-- 113-SP3-MR1 -->
  <file type="sql"  path="..\from_v_113_2018_SP3\7620_113_SP3_MR1_Express.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="MwusRevisionSupersedesUpdate" />
    </condition>
  </file>

  <!-- 114-SP4-MR1 -->
  <file type="sql"  path="..\from_v_114_2018_SP4\7630_114_SP4_MR1_Express_Schema.sql"   isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Win32_BaseBoard" />
    </condition> 
    <transactionPart path="..\from_v_114_2018_SP4\7631_114_SP4_MR1_Express_MEBadData.sql" />
    <transactionPart path="..\from_v_114_2018_SP4\7631_114_SP4_MR1_Express_MEViews.sql" />
    <transactionPart path="..\from_v_114_2018_SP4\7632_114_SP4_MR1_Express_MEInsert.sql" />
    <transactionPart path="..\from_v_114_2018_SP4\7636_114_SP4_MR1.sql" />
  </file>
  
  <!-- 114-SP4-MR2 -->
  <file type="sql"  path="..\from_v_114_2018_SP4\7638_114_SP4_MR2.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="true">
      <param name="@TableName"  value="MBSAAlertRule" />
    </condition>
  </file>

  <!-- 120 -->
  <file type="sql"  path="..\from_v_115_2019_SP5\03_120_Express_Schema.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="AvastAgent" />
    </condition>
    <transactionPart path="..\from_v_115_2019_SP5\04_120_AVDataChanges.sql" />
    <transactionPart path="..\from_v_115_2019_SP5\05_120_AVAfterData_Express.sql" />
    <transactionPart path="..\from_v_115_2019_SP5\06_120_ASMDataChanges.sql" />
    <transactionPart path="..\from_v_115_2019_SP5\07_120_MEDataChanges.sql" />
  </file>

  <!-- 121 -->
  <file type="sql" path="..\from_v_120_2019\03_121_SchemaDataChange.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="ASM_IVNT_DeviceDesiredState" />
      <param name="@ConstraintName" value="FK_ASM_IVNT_DeviceDesiredState_Device" />
    </condition>
  </file>
  
  <!-- 121 MR1 -->
  <file type="sql" path="..\from_v_121_2020\04_121_MR1_SchemaChange_Express.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Win32_Printer" />
    </condition>
    <!-- First re-run modified versions of scripts from upgrade to MW 12. See bug MW-6888 -->
    <transactionPart path="..\from_v_121_2020\01_121_AVAfterData_Express.sql" />
    <transactionPart path="..\from_v_121_2020\02_121_ASMDataChanges.sql" />
    <transactionPart path="..\from_v_121_2020\03_121_MEDataChanges.sql" />
    <!-- Then run scripts for upgrade to 121 MR1 -->
    <transactionPart path="..\from_v_121_2020\05_121_MR1_DataChange.sql" />
    <transactionPart path="..\from_v_121_2020\06_121_MR1_DataConversion_Express.sql" />
  </file>
  
  <!-- 122 SP2 -->
  <file type="sql" path="..\from_v_121_2020_SP1_MR1\01_122_SP2_SchemaChange_Express.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Device" />
    </condition>
    <transactionPart path="..\from_v_121_2020_SP1_MR1\02_122_SP2_DataChanges.sql" />
    <transactionPart path="..\from_v_121_2020_SP1_MR1\03_122_SP2_DataChanges_Express.sql" />
  </file>

  <!-- 122 SP3 -->
  <file type="sql" path="..\from_v_122_2020\00_123_SP3_PreSchemaChange_Express.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="IBUAgentDeploymentStatus" />
    </condition>  
    <transactionPart path="..\from_v_122_2020\01_123_SP3_SchemaChange_Express.sql" />
    <transactionPart path="..\..\..\SQL_CE\123_InitalData_IBU.sql" />
  </file>

  <!-- 122 SP4 -->
  <file type="sql" path="..\from_v_123_2021\01_124_SP4_SchemaChange_Express.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="ASM_IVNT_PatchNow" />
    </condition>
    <transactionPart path="..\from_v_123_2021\03_124_SP4_DataChanges.sql" />
    <transactionPart path="..\..\..\SQL_CE\124_InitialData_MicrosoftDefender.sql" />
  </file>

  <file type="sql" path="..\from_v_123_2021\01_124_SP4_SchemaChange_FK.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="ASM_IVNT_DeviceDesiredState" />
      <param name="@ConstraintName" value="FK_ASM_IVNT_DeviceDesiredState_Device_Cascade_Delete" />
    </condition>
  </file>

  <!-- 122 SP5 -->
  <file type="sql" path="..\from_v_124_2021\01_125_SP5_SchemaChange_Express.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="Asset_IBUAgent" />
    </condition>
    <transactionPart path="..\from_v_124_2021\03_125_SP5_DataChanges.sql" />
  </file>

  <!-- 122 SP6 -->
  <file type="sql" path="..\from_v_125_2022\01_126_SP6_SchemaChange_Express.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="BitLockerSettings" />
    </condition>
    <transactionPart path="..\from_v_125_2022\03_126_SP6_DataChanges.sql" />
  </file>

    <!-- 127 SP7 -->
    <file type="sql" path="..\from_v_126_2022_MR1\01_127_SP7_SchemaChange_Express.sql" isContainer="true">
	    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
		    <param name="@TableName" value="Security_OpenPortInfo" />
	    </condition>
	    <transactionPart path="..\from_v_126_2022_MR1\03_127_SP7_DataChanges.sql" />
    </file>
	<!-- 23.1 -->
	<file type="sql" path="..\from_v_127_2022_2\01_231_SchemaChange_Express.sql" isContainer="true">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="S1Deployment" />
		</condition>
		<transactionPart path="..\from_v_127_2022_2\03_231_DataChanges.sql" />
	</file>

	<!-- 23.2 -->
	<file type="sql" path="..\from_v_231_2023_1\01_232_SchemaChange_Express.sql" isContainer="true">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="Asset_BitlockerRecoveryKey" />
		</condition>
		<transactionPart path="..\from_v_231_2023_1\03_232_DataChanges.sql" />
	</file>
	
	<!-- 23.3 -->
	<file type="sql" path="..\from_v_232_2023_2\01_233_SchemaChange_Express.sql" isContainer="false">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="BitLockerPolicyDevice" />
		</condition>
	</file>

	<!-- 23.4 -->
	<file type="sql" path="..\from_v_233_2023\01_234_SchemaChange_Express.sql" isContainer="false">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="MacOSPatch_DeviceConfiguration" />
		</condition>
	</file>

  <!-- 24.1 there is no changes between 23.4 - 24.1-->
  
  <!-- on any upgrade starting from to 10.0.1 2016-R1-SP1  -->
  <file type="sql" path="..\0800_RemoteStaleEntries_Discovery_Table.sql" isContainer="false"/>

  <!-- Initial data -->
  <file type="sql" path="..\..\..\SQL_CE\024_InitialData_Patching.sql"              />
  <file type="sql" path="..\..\..\SQL_CE\037_InitalData_64.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\038_InitialData_70x.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_10_0710_ME.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_20_0800_ManufacturerOidMap.sql" isContainer="true">
    <condition path="..\Condition\01140_HasRecords_ManufacturerOidMap.sql" applyIf="false">
    </condition>
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_22_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_24_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_26_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_28_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_30_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_32_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_34_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_36_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_38_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_40_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_42_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_44_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_46_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_48_0800_ManufacturerOidMap.sql"  />
    <transactionPart path="..\..\..\SQL_CE\039_InitialData_50_0800_ManufacturerOidMap.sql"  />
  </file>

  <!--  Express only -->
  <file type="sql" path="..\from_0712_2012-R2-FP2\0610_80_Misc_Express.sql"  />

  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_60_0800_ME2.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_61_0800_UpdateToMEConcreteTables.sql" />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_70_0800_InitialData_Credentials.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_71_0900_InitialData_Alerting.sql" />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_810_90-NativeAV.sql"  />

  <!--  Keep in the end of Inital Data -->
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_9999_ManagedElementAttribute_IsMonitored.sql"  />

  <!-- from New Install Files -->
  <file type="sql" path="..\..\..\SQL_Express\030_Functions.sql"   />
  <file type="sql" path="..\..\..\SQL_Express\050_Procedures.sql"  />

  <file type="sql" path="..\..\..\SQL_Express\007_DefaultSchemas_dbo.sql"  />
</root>